diff --git a/client/tests/kvm/tests_base.cfg.sample b/client/tests/kvm/tests_base.cfg.sample
index 8f88f3b..110be98 100644
--- a/client/tests/kvm/tests_base.cfg.sample
+++ b/client/tests/kvm/tests_base.cfg.sample
@@ -311,47 +311,8 @@ variants:
                 shell_prompt = "^\[.*\][\#\$]\s*$"
 
                 variants:
-                    - 8.32:
-                        no setup
-                        image_name = fc8-32
-                        install:
-                            steps = Fedora-8-i386.steps
-                            cdrom = linux/Fedora-8-i386-DVD.iso
-                            md5sum = dd6c79fddfff36d409d02242e7b10189
-                            md5sum_1m = dabae451bb69fbbad0e505b25144b1f9
-
-                    - 8.64:
-                        no setup
-                        image_name = fc8-64
-                        install:
-                            steps = Fedora-8-64.steps
-                            cdrom = linux/Fedora-8-x86_64-DVD.iso
-                            md5sum = 2cb231a86709dec413425fd2f8bf5295
-                            md5sum_1m = 145f6414e19492649a56c89f0a45e719
-
-                    - 9.32:
-                        image_name = fc9-32
-                        install:
-                            steps = Fedora-9-i386.steps
-                            cdrom = linux/Fedora-9-i386-DVD.iso
-                            md5sum = 72601f685ea8c808c303353d8bf4d307
-                            md5sum_1m = f24fa25689e5863f1b99984c6feb787f
-
-                    - 9.64:
-                        image_name = fc9-64
-                        install:
-                            steps = Fedora-9-64.steps
-                            cdrom = linux/Fedora-9-x86_64-DVD.iso
-                            md5sum = 05b2ebeed273ec54d6f9ed3d61ea4c96
-                            md5sum_1m = 9822ab5097e37e8fe306ef2192727db4
-
                     - 11.32:
                         image_name = fc11-32
-                        install:
-                            steps = Fedora-11-32.steps
-                            cdrom = linux/Fedora-11-i386-DVD.iso
-                            md5sum = e3b1e2d1ba42aa4705fa5f41771b3927
-                            md5sum_1m = dc8ddf90648c247339c721395aa49714
                         unattended_install:
                             cdrom = linux/Fedora-11-i386-DVD.iso
                             md5sum = e3b1e2d1ba42aa4705fa5f41771b3927
@@ -363,12 +324,6 @@ variants:
 
                     - 11.64:
                         image_name = fc11-64
-                        install:
-                            cdrom = linux/Fedora-11-x86_64-DVD.iso
-                            md5sum = 9d419844adeb93120215fe7505c9bce8
-                            md5sum_1m = 405ee05e2387a2e4328b008d5bcbdd1e
-                            type = steps
-                            steps = Fedora-11-64.steps
                         unattended_install:
                             cdrom = linux/Fedora-11-x86_64-DVD.iso
                             md5sum = 9d419844adeb93120215fe7505c9bce8
@@ -482,108 +437,66 @@ variants:
                     modprobe_module = acpiphp
                 block_hotplug:
                     modprobe_module = acpiphp
+                unattended_install:
+                    tftp = "images/tftpboot"
+                    extra_params += " -bootp /pxelinux.0 -boot n"
+                    kernel_args = "ks=floppy nicdelay=60"
+
 
                 variants:
-                    - 5.3.i386:
+                    - 5.4.i386:
                         no setup
                         image_name = rhel5-32
-                        install:
-                            steps=RHEL-5.3-i386.steps
-                            cdrom=linux/RHEL-5.3-i386-DVD.iso
-                            md5sum=371c62851611fd32ead440df6f24a296
-                            md5sum_1m=242318dd44152210f6ff6cdda1bfbf51
                         unattended_install:
-                            cdrom=linux/RHEL-5.3-i386-DVD.iso
-                            md5sum=371c62851611fd32ead440df6f24a296
-                            md5sum_1m=242318dd44152210f6ff6cdda1bfbf51
-                            tftp = "images/tftpboot"
-                            extra_params += " -bootp /pxelinux.0 -boot n"
-                            kernel_args = "ks=floppy nicdelay=60"
+                            cdrom=linux/RHEL-5.4-i386-DVD.iso
+                            md5sum=7a12ec6599527e4f3d1790b51eadbfed
+                            md5sum_1m=0dbeb8f58d213752d8c029e8601abfbb
                             unattended_file = unattended/RHEL-5-series.ks
-                    - 5.3.x86_64:
+                    - 5.4.x86_64:
                         no setup
                         image_name = rhel5-64
-                        install:
-                            steps=RHEL-5.3-x86_64.steps
-                            cdrom=linux/RHEL-5.3-x86_64-DVD.iso
-                            md5sum=c5ed6b284410f4d8212cafc78fd7a8c5
-                            md5sum_1m=b999f437583098ea5bbd56fb1de1d011
                         unattended_install:
-                            cdrom=linux/RHEL-5.3-x86_64-DVD.iso
-                            md5sum=c5ed6b284410f4d8212cafc78fd7a8c5
-                            md5sum_1m=b999f437583098ea5bbd56fb1de1d011
-                            tftp = "images/tftpboot"
-                            extra_params += " -bootp /pxelinux.0 -boot n"
-                            kernel_args = "ks=floppy nicdelay=60"
+                            cdrom=linux/RHEL-5.4-x86_64-DVD.iso
+                            md5sum=04fe3c10202402d7b389528d2bad0210
+                            md5sum_1m=3e74112003e88a966754849dbb8f5c3f
                             unattended_file = unattended/RHEL-5-series.ks
-                    - 4.7.i386:
+                    - 4.8.i386:
                         no setup autotest
                         image_name = rhel4-32
-                        install:
-                            steps=RHEL-4.7-i386.steps
-                            cdrom=linux/RHEL-4.7-i386-DVD.iso
-                            md5sum=ee5092653732a88ddbaf8eef2484c500
-                            md5sum_1m=127081cbed825d7232331a2083975528
                         unattended_install:
-                            cdrom=linux/RHEL-4.7-i386-DVD.iso
-                            md5sum=ee5092653732a88ddbaf8eef2484c500
-                            md5sum_1m=127081cbed825d7232331a2083975528
-                            tftp = "images/tftpboot"
-                            extra_params += " -bootp /pxelinux.0 -boot n"
-                            kernel_args = "ks=floppy nicdelay=60"
+                            cdrom=linux/RHEL-4.8-i386-DVD.iso
+                            md5sum=b024f0af5079539d3ef51f71fed0b194
+                            md5sum_1m=969c197402b9058f28a278c1f807d15b
                             unattended_file = unattended/RHEL-4-series.ks
-                    - 4.7.x86_64:
+                    - 4.8.x86_64:
                         no setup autotest
                         image_name = rhel4-64
-                        install:
-                            steps=RHEL-4.7-x86_64.steps
-                            cdrom=linux/RHEL-4.7-x86_64-DVD.iso
-                            md5sum=ea9dae16dd86f7d94092d0e672333292
-                            md5sum_1m=58fa63eaee68e269f4cb1d2edf479792
                         unattended_install:
-                            cdrom=linux/RHEL-4.7-x86_64-DVD.iso
-                            md5sum=ea9dae16dd86f7d94092d0e672333292
-                            md5sum_1m=58fa63eaee68e269f4cb1d2edf479792
-                            tftp = "images/tftpboot"
-                            extra_params += " -bootp /pxelinux.0 -boot n"
-                            kernel_args = "ks=floppy nicdelay=60"
+                            cdrom=linux/RHEL-4.8-x86_64-DVD.iso
+                            md5sum=696bc877b0200cc942626673fcc3fc09
+                            md5sum_1m=b11ac0ef7fd345ad712966972db63886
                             unattended_file = unattended/RHEL-4-series.ks
                     - 3.9.i386:
                         no setup autotest linux_s3
                         image_name = rhel3-32
-                        install:
-                            steps=RHEL-3.9-i386.steps
-                            cdrom=linux/RHEL-3.9-i386-DVD.iso
-                            md5sum=ddd11a1cb104119039b0fa05df6d52b8
-                            md5sum_1m=5f10c9417c7b8372b3456c1b5f3f9ed0
                         unattended_install:
                             cdrom=linux/RHEL-3.9-i386-DVD.iso
                             md5sum=ddd11a1cb104119039b0fa05df6d52b8
                             md5sum_1m=5f10c9417c7b8372b3456c1b5f3f9ed0
-                            tftp = "images/tftpboot"
-                            extra_params += " -bootp /pxelinux.0 -boot n"
-                            kernel_args = "ks=floppy nicdelay=60"
                             unattended_file = unattended/RHEL-3-series.ks
                         physical_resources_check:
                             mem_chk_cmd = dmidecode | awk -F: '/Maximum Capacity/ {print $2}'
                     - 3.9.x86_64:
                         no setup autotest linux_s3
                         image_name = rhel3-64
-                        install:
-                            steps=RHEL-3.9-x86_64.steps
-                            cdrom=linux/RHEL-3.9-x86_64-DVD.iso
-                            md5sum=bf4635e4a4bd3b43838e72bc8c329d55
-                            md5sum_1m=18ecd37b639109f1b2af05cfb57dfeaf
                         unattended_install:
                             cdrom=linux/RHEL-3.9-x86_64-DVD.iso
                             md5sum=bf4635e4a4bd3b43838e72bc8c329d55
                             md5sum_1m=18ecd37b639109f1b2af05cfb57dfeaf
-                            tftp = "images/tftpboot"
-                            extra_params += " -bootp /pxelinux.0 -boot n"
-                            kernel_args = "ks=floppy nicdelay=60"
                             unattended_file = unattended/RHEL-3-series.ks
                         physical_resources_check:
                             mem_chk_cmd = dmidecode | awk -F: '/Maximum Capacity/ {print $2}'
+
     # Windows section
     - @Windows:
         no autotest linux_s3 vlan_tag
@@ -668,72 +581,47 @@ variants:
                 setup:
                     steps = Win2000-32-rss.steps
 
-            - WinXP.32:
-                image_name = winXP-32
-                install:
-                    steps = WinXP-32.steps
-                    user = user
-                    cdrom = windows/WindowsXP-sp2-vlk.iso
-                    md5sum = 743450644b1d9fe97b3cf379e22dceb0
-                    md5sum_1m = b473bf75af2d1269fec8958cf0202bfd
-                unattended_install:
-                    cdrom = windows/WindowsXP-sp2-vlk.iso
-                    md5sum = 743450644b1d9fe97b3cf379e22dceb0
-                    md5sum_1m = b473bf75af2d1269fec8958cf0202bfd
-                    unattended_file = unattended/winxp32.sif
-                setup:
-                    steps = WinXP-32-rss.steps
+            - WinXP:
+                image_name = winXP
+                variants:
+                    - 32:
+                        image_name += -32
+                        unattended_install:
+                            cdrom = windows/WindowsXP-sp2-vlk.iso
+                            md5sum = 743450644b1d9fe97b3cf379e22dceb0
+                            md5sum_1m = b473bf75af2d1269fec8958cf0202bfd
+                            unattended_file = unattended/winxp32.sif
 
-            - WinXP.64:
-                no reboot
-                image_name = winXP-64
-                install:
-                    steps = WinXP-64.steps
-                    cdrom = windows/WindowsXP-64.iso
-                    md5sum = 8d3f007ec9c2060cec8a50ee7d7dc512
-                    md5sum_1m = e812363ff427effc512b7801ee70e513
-                    user = user
-                setup:
-                    steps = WinXP-64-rss.steps
+                    - 64:
+                        image_name += -64
+                        unattended_install:
+                            cdrom = windows/WindowsXP-64.iso
+                            md5sum = 8d3f007ec9c2060cec8a50ee7d7dc512
+                            md5sum_1m = e812363ff427effc512b7801ee70e513
+                            unattended_file = unattended/winxp64.sif
 
             - Win2003:
+                image_name = win2003
                 image_size = 20G
                 shutdown_command = shutdown /s /f /t 0
                 reboot_command = shutdown /r /f /t 0
 
                 variants:
                     - 32:
-                        image_name = win2003-32
-                        install:
-                            steps = Win2003-32.steps
-                            cdrom = windows/Windows2003_r2_VLK.iso
-                            md5sum = 03e921e9b4214773c21a39f5c3f42ef7
-                            md5sum_1m = 37c2fdec15ac4ec16aa10fdfdb338aa3
-                            user = user
+                        image_name += -32
                         unattended_install:
                             cdrom = windows/Windows2003_r2_VLK.iso
                             md5sum = 03e921e9b4214773c21a39f5c3f42ef7
                             md5sum_1m = 37c2fdec15ac4ec16aa10fdfdb338aa3
                             unattended_file = unattended/win2003-32.sif
-                        setup:
-                            steps = Win2003-32-rss.steps
 
                     - 64:
-                        image_name = win2003-64
-                        install:
-                            steps = Win2003-64.steps
-                            cdrom = windows/Windows2003-x64.iso
-                            md5sum = 5703f87c9fd77d28c05ffadd3354dbbd
-                            md5sum_1m = 439393c384116aa09e08a0ad047dcea8
-                            user = user
+                        image_name += -64
                         unattended_install:
                             cdrom = windows/Windows2003-x64.iso
                             md5sum = 5703f87c9fd77d28c05ffadd3354dbbd
                             md5sum_1m = 439393c384116aa09e08a0ad047dcea8
                             unattended_file = unattended/win2003-64.sif
-                        setup:
-                            steps = Win2003-64-rss.steps
-
 
             - WinVista:
                 image_name = winvista
@@ -742,33 +630,23 @@ variants:
                 variants:
                     - 32:
                         image_name += -32
-                        install:
-                            steps = Win-Vista-32.steps
-                            cdrom = windows/WindowsVista-32.iso
-                            md5sum = 1008f323d5170c8e614e52ccb85c0491
-                            md5sum_1m = c724e9695da483bc0fd59e426eaefc72
                         unattended_install:
-                            cdrom = windows/WindowsVista-32.iso
-                            md5sum = 1008f323d5170c8e614e52ccb85c0491
-                            md5sum_1m = c724e9695da483bc0fd59e426eaefc72
+                            cdrom = windows/en_windows_vista_ultimate_sp2_checked_build_x86_dvd_342432.iso
+                            md5sum = dde0c48c1a69d5cb4494c53723907687
+                            md5sum_1m = 4459fa3cdb795cb04d9b0cd94feeb302
+                            sha1sum = 3617756d54dffc47b803b30a530ff389a15dc3d3
+                            sha1sum_1m = d5ca337db48e0f95697faa0432dea8b469736db6
                             unattended_file = unattended/winvista-32-autounattend.xml
-                        setup:
-                            steps = WinVista-32-rss.steps
 
                     - 64:
                         image_name += -64
-                        install:
-                            steps = Win-Vista-64.steps
-                            cdrom = windows/WindowsVista-64.iso
-                            md5sum = 11e2010d857fffc47813295e6be6d58d
-                            md5sum_1m = 0947bcd5390546139e25f25217d6f165
                         unattended_install:
-                            cdrom = windows/WindowsVista-64.iso
-                            md5sum = 11e2010d857fffc47813295e6be6d58d
-                            md5sum_1m = 0947bcd5390546139e25f25217d6f165
+                            cdrom = windows/en_windows_vista_ultimate_sp2_checked_build_x64_dvd_342433.iso
+                            md5sum = 51e7c1104f7afc125ed2a5309a7b8eef
+                            md5sum_1m = 4d6e5849b80a6d1f8b67cd0dbc4f8a95
+                            sha1sum = 4b0be4a155dceea5ce8069f9806fd505f63fdbbc
+                            sha1sum_1m = 59af2a25a80ce48f2ad5f57086c573f92b4f4b68
                             unattended_file = unattended/winvista-64-autounattend.xml
-                        setup:
-                            steps = WinVista-64-rss.steps
 
             - Win2008:
                 image_name = win2008
@@ -779,38 +657,23 @@ variants:
                 variants:
                     - 32:
                         image_name += -32
-                        install:
-                            steps = Win2008-32.steps
-                            cdrom = windows/Windows2008-x86.iso
-                            #en_windows_server_2008_datacenter_enterprise_standard_x86_dvd_X14-26710.iso
-                            #sha1sum = 6CA018FF96F1E9B2B310A36546B6FDED99A421E6
-                            md5sum=0bfca49f0164de0a8eba236ced47007d
-                            md5sum_1m=07d7f5006393f74dc76e6e2e943e2440
                         unattended_install:
-                            cdrom = windows/Windows2008-x86.iso
-                            md5sum=0bfca49f0164de0a8eba236ced47007d
-                            md5sum_1m=07d7f5006393f74dc76e6e2e943e2440
+                            cdrom = windows/en_windows_server_2008_datacenter_enterprise_standard_sp2_x86_dvd_342333.iso
+                            md5sum=b9201aeb6eef04a3c573d036a8780bdf
+                            md5sum_1m=b7a9d42e55ea1e85105a3a6ad4da8e04
+                            sha1sum=49d0d6917c1256fe81048d414fa473bbc76a8724
+                            sha1sum_1m=9662ff7ed715faa00407e4befc484ea52a92a9fb
                             unattended_file = unattended/win2008-32-autounattend.xml
-                        setup:
-                            steps = Win2008-32-rss.steps
 
                     - 64:
                         image_name += -64
-                        install:
-                            steps = Win2008-64.steps
-                            cdrom = windows/Windows2008-x64.iso
-                            #en_windows_server_2008_datacenter_enterprise_standard_x64_dvd_X14-26714.iso
-                            #sha1sum = BD000374709F67E9358814DB6EC8F0DDAAA16F70
-                            md5sum=27c58cdb3d620f28c36333a5552f271c
-                            md5sum_1m=efdcc11d485a1ef9afa739cb8e0ca766
-                            passwd = 1q2w3eP
                         unattended_install:
-                            cdrom = windows/Windows2008-x64.iso
-                            md5sum=27c58cdb3d620f28c36333a5552f271c
-                            md5sum_1m=efdcc11d485a1ef9afa739cb8e0ca766
+                            cdrom = windows/en_windows_server_2008_datacenter_enterprise_standard_sp2_x64_dvd_342336.iso
+                            md5sum=e94943ef484035b3288d8db69599a6b5
+                            md5sum_1m=ee55506823d0efffb5532ddd88a8e47b
+                            sha1sum=34c7d726c57b0f8b19ba3b40d1b4044c15fc2029
+                            sha1sum_1m=8fe08b03e3531906855a60a78020ac9577dff5ba
                             unattended_file = unattended/win2008-64-autounattend.xml
-                        setup:
-                            steps = Win2008-64-rss.steps
 
             - Win7:
                 image_name = win7
@@ -819,23 +682,26 @@ variants:
                 reboot_command = shutdown /r /f /t 0
 
                 variants:
+                    - 32:
+                        image_name += -32
+                        unattended_install:
+                            cdrom = windows/en_windows_7_ultimate_x86_dvd_x15-65921.iso
+                            md5sum=d0b8b407e8a3d4b75ee9c10147266b89
+                            md5sum_1m=2b0c2c22b1ae95065db08686bf83af93
+                            sha1sum=5395dc4b38f7bdb1e005ff414deedfdb16dbf610
+                            sha1sum_1m=9f9c3780aebeb28a9bf22188eed6bc15475dc9c5
+                            unattended_file = unattended/win7-64-autounattend.xml
+
                     - 64:
                         image_name += -64
-                        install:
-                            cdrom = windows/en_windows_7_ultimate_x64_dvd_x15-65922.iso
-                            md5sum=f43d22e4fb07bf617d573acd8785c028
-                            md5sum_1m=b44d8cf99dbed2a5cb02765db8dfd48f
-                            type = steps
-                            steps = Win7-64.steps
-                            passwd = 1q2w3eP
                         unattended_install:
                             cdrom = windows/en_windows_7_ultimate_x64_dvd_x15-65922.iso
                             md5sum=f43d22e4fb07bf617d573acd8785c028
                             md5sum_1m=b44d8cf99dbed2a5cb02765db8dfd48f
+                            sha1sum=326327cc2ff9f05379f5058c41be6bc5e004baa7
+                            sha1sum_1m=4a3903bd5157de54f0702e5263e0a683c5775515
                             unattended_file = unattended/win7-64-autounattend.xml
-                        setup:
-                            type = steps
-                            steps = Win7-64-rss.steps
+
 
     # Unix/BSD section
     - @Unix:
@@ -930,7 +796,7 @@ variants:
 
 
 virtio|virtio_blk|e1000:
-    only Fedora.9 Fedora.10 Fedora.11 Fedora.12 Win2008 WinVista Win7 openSUSE-11 Ubuntu-8.10-server
+    only Fedora.11 Fedora.12 Win2008 WinVista Win7 openSUSE-11 Ubuntu-8.10-server
 
 
 variants:
diff --git a/client/tests/kvm/unattended/winxp64.sif b/client/tests/kvm/unattended/winxp64.sif
new file mode 100644
index 0000000..4711a3d
--- /dev/null
+++ b/client/tests/kvm/unattended/winxp64.sif
@@ -0,0 +1,73 @@
+;SetupMgrTag
+[Data]
+    AutoPartition=1
+    MsDosInitiated="0"
+    UnattendedInstall="Yes"
+
+[Unattended]
+    Repartition=Yes
+    UnattendMode=FullUnattended
+    OemSkipEula=Yes
+    OemPreinstall=No
+    TargetPath=\WINDOWS
+    UnattendSwitch=Yes
+    CrashDumpSetting=1
+    DriverSigningPolicy=ignore
+    WaitForReboot=no
+
+[GuiUnattended]
+    AdminPassword="1q2w3eP"
+    EncryptedAdminPassword=NO
+    TimeZone=85
+    OemSkipWelcome=1
+    AutoLogon=Yes
+    AutoLogonCount=1000
+    OEMSkipRegional=1
+
+[UserData]
+    ProductKey=KVM_TEST_CDKEY
+    FullName="Autotest Mindless Drone"
+    OrgName="Autotest"
+    ComputerName=*
+
+[Identification]
+    JoinWorkgroup=WORKGROUP
+
+[Networking]
+    InstallDefaultComponents=Yes
+
+[Proxy]
+    Proxy_Enable=0
+    Use_Same_Proxy=0
+
+[Components]
+    dialer=off
+    media_clips=off
+    media_utopia=off
+    msnexplr=off
+    netoc=off
+    OEAccess=off
+    templates=off
+    WMAccess=off
+    zonegames=off
+
+[TerminalServices]
+    AllowConnections=1
+
+[WindowsFirewall]
+    Profiles=WindowsFirewall.TurnOffFirewall
+
+[WindowsFirewall.TurnOffFirewall]
+    Mode=0
+
+[Branding]
+    BrandIEUsingUnattended=Yes
+
+[Display]
+    Xresolution=1024
+    YResolution=768
+
+[GuiRunOnce]
+   Command0="cmd /c E:\setuprss.bat"
+   Command1="cmd /c netsh interface ip set address local dhcp"
+   Command2="cmd /c ping 10.0.2.2 -n 20 && A:\finish.exe 10.0.2.2"